Bug 176921 - Errata date inconsistent
Errata date inconsistent
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
400
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-04 07:35 EST by Nick Strugnell
Modified: 2008-10-08 10:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-08 10:55:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nick Strugnell 2006-01-04 07:35:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
On satellite 4.0.1 (installed with en_GB.UTF-8) the date of an errata is reported in DD/MM/YY format. However on RHN hosted 4.0.1 the date of an errata is reported in MM/DD/YY format.

Check RHSA-2005:420 for an example, the issue date is:

6/8/05 on the satellite
8/6/05 on hosted

I suggest that we use a non-ambiguous date format in order to prevent confusion among clients - MM/DD/YY is only used in the US to my knowledge.

Perhaps DD-MMM-YY (e.g. 27-Sep-05) would be better?

Version-Release number of selected component (if applicable):
Satellite 4.0.1

How reproducible:
Always

Steps to Reproduce:
1. Install RHN satellite (not sure if locale has an impact on this)
2. Search for an errata 
3. Compare errata issue dates
  

Actual Results:  Issue date on satellite appeared different from that on RHN hosted due to using different date format.

Expected Results:  Date format should be consistent and non-ambiguous.

Additional info:
Comment 1 Jan Pazdziora 2007-07-12 06:59:55 EDT
This bug is filed against RHN/Satellite Server but it blocks bug 218517 --
rhn510h-triage. I assume this is not correct and it should be moved to
rhn510s-triage or converted to use the sat-5.1.0 flag.

Note You need to log in before you can comment on or make changes to this bug.